<template>
  <el-container style="min-width:1300px">
    <el-header class="custom-header" style="height: auto;">
      <home-title></home-title>
      <el-menu
        :router="true"
        :default-active="$route.path"
        class="el-menu"
        mode="horizontal"
      >
        <template v-for="route in routes">
          <el-menu-item
            class="item-font"
            v-if="
              route.hidden
                ? isFunction(route.hidden)
                  ? !route.hidden()
                  : !route.hidden
                : true
            "
            :index="route.path"
            :key="route.path"
            width=""
          >
            {{ $t(route.children[0].name) }}
          </el-menu-item>
        </template>
      </el-menu>
    </el-header>
    <el-main
      style="width: 100%; max-width: 1300px; margin:auto;min-height:700px"
    >
      <router-view></router-view>
    </el-main>
    <el-footer class="project-footer">
      <div style="margin-top:3%">
        <p>建设单位：华南理工大学 | 单位地址：广州市天河区五山路381号</p>
        <p>推荐使用：360浏览器，Chrome浏览器，火狐浏览器</p>
        <p>粤ICP备: 05084312号-1</p>
      </div>
    </el-footer>
  </el-container>
</template>
<script>
import isFunction from "lodash.isfunction";
import HomeTitle from "./title";

export default {
  name: "Layout",
  data() {
    return {
      activeIndex: "home",
      routes: this.$router.options.routes
    };
  },
  components: {
    HomeTitle
  },
  methods: {
    isFunction
  }
};
</script>
<style lang="scss">
@import "@/styles/theme.scss";
.el-menu {
  margin: 0 5% !important;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  .el-menu-item {
    width: auto;
    // margin: 0 2% !important;
  }
}
.el-menu--horizontal > .el-menu-item.is-active {
  color: $themeRed !important;
  border-bottom: 2px solid rgb(218, 25, 25) !important;
}
.custom-header {
  min-width: 1200px;
  margin: auto;
}
.el-footer {
  height: 160px !important;
}
.project-footer {
  background: #34394c;
  color: #fff;
}
.item-font {
  font-weight: bold;
}
</style>
